GitHub Trophies
curl --request GET \
--url https://icon.mzrdev.com/trophyimport requests
url = "https://icon.mzrdev.com/trophy"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://icon.mzrdev.com/trophy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://icon.mzrdev.com/trophy",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://icon.mzrdev.com/trophy"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://icon.mzrdev.com/trophy")
.asString();require 'uri'
require 'net/http'
url = URI("https://icon.mzrdev.com/trophy")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"SVG": {}
}Endpoints
GitHub Trophies
Get a trophy cabinet for a GitHub user.
GET
/
trophy
GitHub Trophies
curl --request GET \
--url https://icon.mzrdev.com/trophyimport requests
url = "https://icon.mzrdev.com/trophy"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://icon.mzrdev.com/trophy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://icon.mzrdev.com/trophy",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://icon.mzrdev.com/trophy"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://icon.mzrdev.com/trophy")
.asString();require 'uri'
require 'net/http'
url = URI("https://icon.mzrdev.com/trophy")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"SVG": {}
}Query Parameters
string
required
The GitHub username to fetch trophies for.
number
default:"3"
Number of columns in the cabinet layout.
number
default:"16"
Gap between cards in pixels.
number
default:"24"
Padding around the cabinet in pixels.
boolean
default:"true"
Center the cards in the last row if they do not fill the entire row. Alternatively, use
align=left to disable centering.boolean
default:"true"
Whether to show the description on each trophy card.
boolean
default:"false"
Enable sponsor fallback card.
boolean
default:"true"
Remove the cabinet background. This is enabled by default.
string
light or dark.string
Custom title for the cabinet or
false to hide.boolean
default:"true"
Toggle the
by mzr-icons watermark at the bottom of the cabinet. Keeping it enabled helps support the project.string
Comma-separated list of metrics to hide (e.g.,
stars,commits).Response
image/svg+xml
Returns an animated SVG image of the trophy cabinet.

